Azuki CLI
==========

The Azuki CLI is used to manage Azuki apps from the command line.

For more about Azuki see <http://azukiapp.com>.

To get started see <http://devcenter.azukiapp.com/articles/quickstart>

[![Build Status](https://secure.travis-ci.org/azuki/azuki.png)](http://travis-ci.org/azuki/azuki)
[![Dependency Status](https://gemnasium.com/azuki/azuki.png)](https://gemnasium.com/azuki/azuki)

Setup
-----

<table>
  <tr>
    <th>If you have...</th>
    <th>Install with...</th>
  </tr>
  <tr>
    <td>Mac OS X</td>
    <td style="text-align: left"><a href="http://toolbelt.azukiapp.com/osx/download">Download OS X package</a></td>
  </tr>
  <tr>
    <td>Windows</td>
    <td style="text-align: left"><a href="http://toolbelt.azukiapp.com/windows/download">Download Windows .exe installer</a></td>
  </tr>
  <tr>
    <td>Ubuntu Linux</td>
    <td style="text-align: left"><a href="http://toolbelt.azukiapp.com/linux/readme"><code>apt-get</code> repository</a></td>
  </tr>
  <tr>
    <td>Other</td>
    <td style="text-align: left"><a href="http://assets.azukiapp.com/azuki-client/azuki-client.tgz">Tarball</a> (add contents to your <code>$PATH</code>)</td>
  </tr>
</table>

Once installed, you'll have access to the `azuki` command from your command shell.  Log in using the email address and password you used when creating your Azuki account:

    $ azuki login
    Enter your Azuki credentials.
    Email: adam@example.com
    Password:
    Could not find an existing public key.
    Would you like to generate one? [Yn]
    Generating new SSH public key.
    Uploading SSH public key /Users/adam/.ssh/id_rsa.pub

Press enter at the prompt to upload your existing `SSH` key or create a new one, used for pushing code later on.

API
---

Azuki API documentation can be found at <https://api-docs.azukiapp.com>

Development
-----------

If you're working on the CLI and you can smoke-test your changes:

    $ bundle exec azuki

Meta
----

Released under the MIT license; see the file License.

Created by Adam Wiggins

[Other Contributors](https://github.com/azuki/azuki/contributors)
